Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jasper.compiler
Class StoredCharDataGenerator

    java.lang.Object
      |
      +--org.apache.jasper.compiler.GeneratorBase
            |
            +--org.apache.jasper.compiler.StoredCharDataGenerator

public class StoredCharDataGenerator
extends org.apache.jasper.compiler.GeneratorBase
implements ServiceMethodPhase, InitMethodPhase, ClassDeclarationPhase

StoredCharDataGenerator generates HTML and other data present in JSP files to be stored/serialized into a .dat file.

Author:
  Anil K. Vijendran

Fields inherited from class org.apache.jasper.compiler.GeneratorBase
`ctxt`

Constructor Summary
`StoredCharDataGenerator(java.util.Vector vector, java.lang.String fileName, int stringId, char[] chars)`

Method Summary
`void` | `generate(ServletWriter writer, java.lang.Class phase)`
`boolean` | `generateCoordinates(java.lang.Class phase)`

Methods inherited from class org.apache.jasper.compiler.GeneratorBase
`init`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StoredCharDataGenerator

    public StoredCharDataGenerator(java.util.Vector vector,
                                   java.lang.String fileName,
                                   int stringId,
                                   char[] chars)

Method Detail

### generate

    public void generate(ServletWriter writer,
                         java.lang.Class phase)

### generateCoordinates

    public boolean generateCoordinates(java.lang.Class phase)

  Overrides:
    generateCoordinates in class org.apache.jasper.compiler.GeneratorBase

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.